LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XContentProviderFactory Interface Referencepublished

a factory for a XContentProvider. More...

`import"XContentProviderFactory.idl";`

Inheritance diagram for XContentProviderFactory:

## Public Member Functions
XContentProvider | createContentProvider ([in] string Service)
| creates a XContentProvider implementation object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a factory for a XContentProvider.

Version
  1.0

See also
  XContentProvider

## Member Function Documentation

## ◆ createContentProvider()

XContentProvider createContentProvider | ( | [in] string | Service | ) |

creates a XContentProvider implementation object.

Parameters

  Service | the name of the UNO service to be used to create the implementation of the content provider.

Returns
  a content provider.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XContentProviderFactory.idl